package com.icl.saxon.om;
import com.icl.saxon.om.*;
import org.xml.sax.Attributes;


    /**
    * ExtendedAttributes is an extension of the SAX interface Attributes
    * that also provides the ability to manipulate namespaces and to convert attributes
    * into Nodes.
    */

public interface ExtendedAttributes extends Attributes
{

	/**
	* Get the attribute value using its fingerprint
	*/
	
	public String getValueByFingerprint(int fingerprint); 


	/**
	* Get the index, given the fingerprint
	*/
	
	public int getIndexByFingerprint(int fingerprint); 

	/**
	* Get the name code, given the index
	*/
	
	public int getNameCode(int index);
	    
}
